Skip to main content
POST
/
library
/
v1
/
{libId}
/
categoryValueMappings
cURL
curl --request POST \
  --url https://aodocs.altirnao.com/api/library/v1/{libId}/categoryValueMappings \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "displayName": "<string>",
  "entries": [
    {
      "sourceValue": {
        "ancestors": "<array>",
        "id": "<string>",
        "kind": "<string>",
        "leaf": true,
        "leafInNotOutdatedTree": true,
        "name": "<string>",
        "name_i18n": "<string>",
        "outdated": true,
        "parentId": "<string>",
        "shortName": "<string>",
        "value": "<string>"
      },
      "targetValues": [
        {
          "ancestors": "<array>",
          "id": "<string>",
          "kind": "<string>",
          "leaf": true,
          "leafInNotOutdatedTree": true,
          "name": "<string>",
          "name_i18n": "<string>",
          "outdated": true,
          "parentId": "<string>",
          "shortName": "<string>",
          "value": "<string>"
        }
      ]
    }
  ],
  "id": "<string>",
  "kind": "<string>",
  "libraryId": "<string>",
  "sourceCategoryDefinition": {
    "description": "<string>",
    "dynamicValues": true,
    "folder": true,
    "id": "<string>",
    "kind": "<string>",
    "levelNames": [
      "<string>"
    ],
    "levelNames_i18n": [
      "<string>"
    ],
    "libraryId": "<string>",
    "name": "<string>",
    "tags": true,
    "value": "<string>"
  },
  "targetCategoryDefinition": {
    "description": "<string>",
    "dynamicValues": true,
    "folder": true,
    "id": "<string>",
    "kind": "<string>",
    "levelNames": [
      "<string>"
    ],
    "levelNames_i18n": [
      "<string>"
    ],
    "libraryId": "<string>",
    "name": "<string>",
    "tags": true,
    "value": "<string>"
  }
}
'
{
  "displayName": "<string>",
  "entries": [
    {
      "sourceValue": {
        "ancestors": "<array>",
        "id": "<string>",
        "kind": "<string>",
        "leaf": true,
        "leafInNotOutdatedTree": true,
        "name": "<string>",
        "name_i18n": "<string>",
        "outdated": true,
        "parentId": "<string>",
        "shortName": "<string>",
        "value": "<string>"
      },
      "targetValues": [
        {
          "ancestors": "<array>",
          "id": "<string>",
          "kind": "<string>",
          "leaf": true,
          "leafInNotOutdatedTree": true,
          "name": "<string>",
          "name_i18n": "<string>",
          "outdated": true,
          "parentId": "<string>",
          "shortName": "<string>",
          "value": "<string>"
        }
      ]
    }
  ],
  "id": "<string>",
  "kind": "<string>",
  "libraryId": "<string>",
  "sourceCategoryDefinition": {
    "description": "<string>",
    "dynamicValues": true,
    "folder": true,
    "id": "<string>",
    "kind": "<string>",
    "levelNames": [
      "<string>"
    ],
    "levelNames_i18n": [
      "<string>"
    ],
    "libraryId": "<string>",
    "name": "<string>",
    "tags": true,
    "value": "<string>"
  },
  "targetCategoryDefinition": {
    "description": "<string>",
    "dynamicValues": true,
    "folder": true,
    "id": "<string>",
    "kind": "<string>",
    "levelNames": [
      "<string>"
    ],
    "levelNames_i18n": [
      "<string>"
    ],
    "libraryId": "<string>",
    "name": "<string>",
    "tags": true,
    "value": "<string>"
  }
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

libId
string
required

The ID of the library

Query Parameters

securityCode
string

The security code

domain
string

The G Suite domain

Body

application/json
displayName
string

Human-readable name for the mapping

entries
object[]

The mapping entries (included in GET responses, optional on create)

id
string

The ID of the category value mapping (read-only)

kind
string

The resource kind

libraryId
string

The ID of the library (read-only)

sourceCategoryDefinition
object
targetCategoryDefinition
object

Response

200 - application/json

A ApiCategoryValueMapping response

displayName
string

Human-readable name for the mapping

entries
object[]

The mapping entries (included in GET responses, optional on create)

id
string

The ID of the category value mapping (read-only)

kind
string

The resource kind

libraryId
string

The ID of the library (read-only)

sourceCategoryDefinition
object
targetCategoryDefinition
object